Bug 1128825 - Activation Key package names separated by spaces are accepted(API)/not parsed correctly(WebUI).
Summary: Activation Key package names separated by spaces are accepted(API)/not parse...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 2.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space23
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:26 UTC by Dimitar Yordanov
Modified: 2015-04-14 19:03 UTC (History)
1 user (show)

Fixed In Version: spacewalk-java-2.3.26-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 19:03:44 UTC


Attachments (Terms of Use)

Description Dimitar Yordanov 2014-08-11 15:26:27 UTC
Description of problem:
Activation Key package names  separated by spaces are accepted(API)/not parsed correctly(WebUI).
On WebUI: test test2
Via API: 
client.activationkey.addPackages(key,"1-6477c9a04e508743ad3461fe35bfb026",[{'name':"test test2"}])

Version-Release number of selected component (if applicable):
spacewalk-java-2.2.123-1

How reproducible:
Always.

Steps to Reproduce:
1. Create Activation Key - AK.
2. Set provisioning entitlement to AK. 
3. Add some packagest to the AK.
WebUI: Systems -> Activations Keys -> AK -> Packages -> "test test2" -> Press Update Key
API:  client.activationkey.addPackages(key,"1-6477c9a04e508743ad3461fe35bfb026",[{'name':"test test2"}])

Actual results:
The input is accepted and not parsed correctly.

Expected results:
The input have to be rejected(API)/parsed correctly(WebUI). 


Additional info:

Comment 1 Michael Mráka 2014-08-29 09:53:13 UTC
Committed to master as
commit 1ae963f04e23c3385e8278315c87fbec767240f3
    1128825 - AKey package names separated by spaces.

Comment 2 Grant Gainey 2015-03-23 16:59:23 UTC
Moving bugs to ON_QA as we move to release Spacewalk 2.3

Comment 3 Grant Gainey 2015-04-14 19:03:44 UTC
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23


Note You need to log in before you can comment on or make changes to this bug.